package com.usky.fire.service;

import com.usky.fire.domain.ReportConfig;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.*;

import java.util.List;

/**
 * <p>
 * 报告配置表 服务类
 * </p>
 *
 * @author han
 * @since 2023-06-27
 */
public interface ReportConfigService extends CrudService<ReportConfig> {
    /**
     * 报告模型查看查询
     *
     * @return
     */
    List<ReportConfigVO> configInfo();

    /**
     * 报告指数-查询
     *
     * @param id   主键ID
     * @return
     */
    List<ReportIndexVo> reportIndexSelect(Integer id);

    /**
     * 报告模型-删除
     *
     * @param id 主键ID
     */
    void delReportConfig(Integer id);

    /**
     * 报告模型-新增
     *
     * @param reportIndexVo 采集报告模型
     */
    void addReportConfig(ReportIndexVo reportIndexVo);

    /**
     * 报告模型-修改
     *
     * @param reportIndexVo
     */
    void updateReportConfig(ReportIndexVo reportIndexVo);
}
